import peasy.*;
PeasyCam cam;

Table table;
int rowNums;

int ellipseSize = 300;

float countAxis;
float dateAxis;
color c; 
float monthAxis;

float constantHorizontalMargin = 160;
float constantVerticalMargin = 100;


PFont myFont;

ArrayList<Book> books = new ArrayList<Book>();

void setup(){
  size(1280, 720, P3D);
  cam = new PeasyCam(this, 200);
  
  table = loadTable("data2006-2015.csv", "header");
  rowNums = table.getRowCount();
  println("Rows: " + rowNums);
  
  for (int i = 0; i<rowNums; i++){
    String title = table.getString(i,0);
    String type = table.getString(i,1);
    String date = table.getString(i,3);
    int count = table.getInt(i,5);
    books.add(new Book(type, date, count, title));
  }
  
  println("Number of Books: " + books.size());
  
  println(books.get(0).title);
  println(books.get(0).date);
  println(books.get(0).type);
  println(books.get(0).count);
  println(dateAxis);
  
  myFont = createFont("Consola.ttf",5);
  smooth();
  
}

void draw(){
  background(0);
  
  for (int i=0; i<books.size(); i++){
    dateAxis = map(dateParser(books.get(i).date), 0, 3650, 0, ellipseSize/2);
    countAxis = map((books.get(i).count), 0, 6500, 0, ellipseSize/2);
    c = typeDetermine(books.get(i).type);
    
    noStroke();
    fill(c);
    pushMatrix();
    translate(150*cos(dateAxis), 150*sin(dateAxis), i-15);
    rotateX(PI/2);
    //rotateY(3*PI/2);
    rect(0, books.get(i).count/4, 20, books.get(i).count/4);
    popMatrix();
  }
  
 for (int i =0; i<10; i++){
   for(int j=0; j<12; j++){
  stroke(255);
  noFill();
  pushMatrix();
  translate(0, 0, i*300);
  ellipse(0, 0, 300,300);
  popMatrix();
  
  int y = 2006+i;
  
  fill(255);
  textAlign(RIGHT, CENTER);
  textSize(30);
  pushMatrix();
  translate(0,0,i*300);
  text(y, -350, 0);
  popMatrix();
  
  fill(255);
  textAlign(LEFT,CENTER);
  textSize(25);
  pushMatrix();
  translate(0, 0,j*25);
  text(months[j],0,350);
  popMatrix();
  
  
   }
 }
 
 
  for (int i=0; i<4; i++){

    fill(255);
    //textFont(Arial);
    textAlign(CENTER, CENTER);
    textSize(300);
    pushMatrix();
    translate(0,0,i*750);
    text(header[i], 0, -350, 0);
    popMatrix();
  };
  
  println("Date: " + dateAxis);
  println("Counts: " + countAxis);
  
  
 
 }