/*
SELECT DISTINCT
    title.title,
    (CASE
        WHEN SUBSTRING(itemType.itemType, 3, 3) = 'bk' THEN 'book'
        WHEN SUBSTRING(itemType.itemType, 3, 3) = 'cd' THEN 'audioBook'
        WHEN SUBSTRING(itemType.itemType, 3, 3) = 'cdr' THEN 'CDMedia'
        WHEN SUBSTRING(itemType.itemType, 3, 3) = 'vhs' THEN 'video'
        WHEN SUBSTRING(itemType.itemType, 3, 3) = 'dvd' THEN 'video'
        ELSE 'OTHERS'
    END) AS type,
    (CASE
        WHEN spl.keyword.keyword = 'Technology' THEN 'Tech'
        WHEN spl.keyword.keyword = 'Programming' THEN 'Programming'
        WHEN spl.keyword.keyword = 'Engineering' THEN 'Engineering'
        WHEN spl.keyword.keyword = 'Code' THEN 'Coding'
        WHEN spl.keyword.keyword = 'Computer' THEN 'Computing'
        ELSE 'OTHERS'
    END) AS keyWord,
    DATE(checkOut) AS Dates,
    SUBSTRING(callNumber, - 4) AS PubYear,
    COUNT(spl.transactions.bibNumber) AS Counts
FROM
    spl.itemToBib,
    spl.title,
    spl.itemType,
    spl.keyword,
    spl.callNumber,
    spl.transactions
WHERE
    spl.itemToBib.itemNumber = spl.itemType.itemNumber
        AND spl.itemToBib.itemNumber = spl.transactions.itemNumber
        AND spl.itemToBib.itemNumber = spl.callNumber.itemNumber
        AND spl.itemToBib.bibNumber = spl.keyword.bibNumber
        AND spl.itemToBib.bibNumber = spl.title.bibNumber
        AND spl.itemToBib.bibNumber = spl.transactions.bibNumber
        AND spl.itemType.itemNumber = spl.itemToBib.itemNumber
        AND (spl.keyword.keyword = 'Technology'
        OR spl.keyword.keyword = 'Programming'
        OR spl.keyword.keyword = 'Engineering'
    or spl.keyword.keyword = 'Code'
    or spl.keyword.keyword = 'Computer')
    and date(checkOut) >= '20060101'
     and date(checkOut) <= '20151231'
        AND CAST(SUBSTRING(callNumber, - 4) AS UNSIGNED) > 2005
        AND CAST(SUBSTRING(callNumber, - 4) AS UNSIGNED) < 2016
GROUP BY spl.itemToBib.bibNumber
*/